gsad(8)

NAME
gsad - Greenbone Security Assistant Deamon of the Greenbone Vulnerability Management

SYNOPSIS
gsad OPTIONS

DESCRIPTION
Together, OpenVAS Scanner (openvassd(8)) and Greenbone Vulnerability Manager daemon (gvmd(8)) provide the core functionality of the Greenbone Vulnerability Management (GVM), with OpenVAS Scanner handling the actual scan process and Greenbone Vulnerability Manager daemon adding various management functionalities to handle and organise scan results.

The Greenbone Security Assistant Daemon (gsad) is a web application that connects to the Greenbone Vulnerability Manager to provide for a full-featured user interface for vulnerability management.

OPTIONS

-f, --foreground
    Run in foreground.

--http-only
    Serve HTTP only, without SSL.

--listen=ADDRESS
    Listen on ADDRESS.

--mlisten=ADDRESS
    Manager address.

-p, --port=PORT
    Listen on port number PORT.

-m, --mport=PORT
    Use manager port number PORT.

-r, --rport=PORT
    Redirect HTTP from port number PORT.

--no-redirect
    Don't redirect HTTP to HTTPS.

-k, --ssl-private-key=FILE
    Use FILE as the private key for HTTPS

-c, --ssl-certificate=FILE
    Use FILE as the certificate for HTTPS

--do-chroot
    Do chroot and drop privileges.

--gnutls-priorities=PRIORITIES
    GnuTLS priorities string.

--dh-params=FILE
    Diffie-Hellman parameters file for PFS support. Functional only with Libmicrohttpd 0.9.35 and higher.

--unix-socket=FILE
    Listen for HTTP requests on the provided unix socket file.

--munix-socket=FILE
    Path to Manager unix socket.

-v, --verbose
    Print progress messages.

-V, --version
    Print version.

--http-frame-opts=FRAME-OPTS
    X-Frame-Options HTTP header. Defaults to "SAMEORIGIN".

--http-csp=CSP
    Content-Security-Policy HTTP header. Defaults to "default-src 'self' 'unsafe-inline'; img-src 'self' blob:; frame-ancestors 'self'"

--http-sts
    Enable HTTP Strict-Tranport-Security header.

--http-sts-max-age=max-age
    max-age in seconds for HTTP Strict-Tranport-Security header. Defaults to 31536000.

--drop-privileges=user
    Drop privileges to <user>.

--vendor-version=string
    Use string as version in interface.

--secure-cookie
    Use a secure cookie (implied when using HTTPS).

--timeout=minutes
    Minutes of user idle time before session expires. Defaults to 15 minutes.

--client-watch-interval=number
    Check if client connection was closed every <number> seconds. 0 to disable. Defaults to 1.

--debug-tls=number
    Enable TLS debugging at level.

--ignore-x-real-ip
    Do not use X-Real-IP to determine the client address.

--per-ip-connection-limit=number
    Sets the maximum number of connections per ip. Use 0 for unlimited.

--http-cors=CORS
    Set Cross-Origin Resource Sharing (CORS) allow origin http header.

--user-session-limit=MAX_SESSIONS
    Set maximum number of active sessions per user. 0 for unlimited.

-?, --help
    Show help.

EXAMPLES
gsad

Start gsad with the default port configuration and listen on port 443 for HTTPS requests.

SEE ALSO
openvas(8), gvmd(8), ospd-openvas(8)

MORE INFORMATION
The canonical places where you will find more information about the Greenbone Vulnerability Manager are:

    Community Portal (https://community.greenbone.net)
    Development Platform (https://github.com/greenbone)
    Greenbone Website (https://www.greenbone.net)

COPYRIGHT
The Greenbone Security Assistant is released under the GNU GPL, version 2, or, at your option, any later version.